> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /GenerateAuthorizeToken

> Use the /GenerateAuthorizeToken endpoint to get an Authorize Token.

Tokens expire after 30 minutes of inactivity — call this endpoint again to get a new one.

Use the token by passing it as `authorizeToken={token}` on your Flinks Connect iframe URL, or as the `flinks-auth-key` header when calling [/Authorize](./authorize) directly.

See [Authentication Reference](../../../guides/connect/authentication-reference) for all credentials and [Authentication Troubleshooting](../troubleshooting) for error cases.


## OpenAPI

````yaml POST /v3/{customerId}/BankingServices/GenerateAuthorizeToken
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/BankingServices/GenerateAuthorizeToken:
    post:
      tags:
        - Authorization
      summary: Generate Authorize Token
      description: >-
        Use the /GenerateAuthorizeToken endpoint to get an Authorize Token (the
        RequestId) that's valid for 30 minutes.
      operationId: generateAuthorizeToken
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: >-
            Unique GUID provided by Flinks that grants you access to the
            environment specified in the instance field.
        - name: flinks-auth-key
          in: header
          required: true
          description: >-
            Your secret key (provided by Flinks during integration setup). Used
            only on this endpoint to generate a one-time authorize token; on
            `/Authorize`, pass the generated token instead.
          schema:
            type: string
            example: c4569c54-e167-4d34-8de6-f4113bc82414
            default: c4569c54-e167-4d34-8de6-f4113bc82414
        - name: Content-Type
          in: header
          required: true
          description: Content type of the request.
          schema:
            type: string
            default: application/json
        - name: Accept
          in: header
          required: true
          description: Acceptable response media type.
          schema:
            type: string
            default: application/json
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                  Token:
                    type: string
              example:
                HttpStatusCode: 200
                Token: d65f1adb-8ebc-48dc-be8b-20c773ba1565
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                  Message:
                    type: string
                  FlinksCode:
                    type: string
              example:
                HttpStatusCode: 401
                Message: You must provide a valid auth key
                FlinksCode: UNAUTHORIZED
      security: []

````